Bug 11159 - require fonts-ttf-ms
Summary: require fonts-ttf-ms
Status: CLOSED WONTFIX
Alias: None
Product: Sisyphus
Classification: Development
Component: vdr (show other bugs)
Version: unstable
Hardware: all Linux
: P2 blocker
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-19 20:04 MSK by Sergey V Turchin
Modified: 2009-12-25 12:46 MSK (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey V Turchin 2007-03-19 20:04:26 MSK
зависимость от fonts-ttf-ms делает невозможным включать vdr в любой 
дистрибутив
Comment 1 Vyacheslav Dikonov 2007-03-28 01:36:41 MSD
Странно. Такой пакет есть у меня и отсылался. Может это дистрибутив кривой
оттого, что отправленные в INCOMING пакеты тихо игнорируются?
Comment 2 Vyacheslav Dikonov 2007-03-28 01:37:39 MSD
rpm -q fonts-ttf-ms
fonts-ttf-ms-1.0-alt1
Comment 3 Vyacheslav Dikonov 2007-03-28 01:39:54 MSD
VDR требует файл из этого набора в строго определенном месте. Иначе у него
становится нечитаемым меню. Другие шрифты сильно усложняют работы с программой и
требуют патчения кода.
Comment 4 Sergey V Turchin 2007-03-28 14:39:37 MSD
Зависимость на пакет с шрифтами от ms необходимо убрать. Из-за вас ни в один 
дистрибутив не попадут пакеты vdr* и все, что от них зависят.
Comment 5 Vyacheslav Dikonov 2007-03-29 00:56:07 MSD
Ну так нарисуйте TTF шрифт, который в разрешении 576х768 смотрелся бы нормально,
и был бы не шире в пикселях чем вшитый в код ариал. Я уже перебрал все шрифты из
Сизифа и ничего другого не нашел. Все темы и русские меню сделаны в расчете на
эти шрифты. На пиксель шире - и все становится ужасно.

В двадцатых числах апреля я смогу потратить пару дней на возню ради искоренения
этой периферийной зависимости. Ранее - не обещаю, потому что на бессонные ночи
дистрибутив без средств настройки системы интегрированных с GTK меня не вдохновляет.
Comment 6 Sergey V Turchin 2007-03-29 15:34:27 MSD
(In reply to comment #5)
> Ну так нарисуйте TTF шрифт, который в разрешении 576х768
Мне устраивают существующие. Вам надо - нарисуйте.
А в дистрибутив ничего не положат без исправления этой ошибки.

Comment 7 Sergey V Turchin 2007-05-14 13:28:57 MSD
(In reply to comment #5)
> Я уже перебрал все шрифты из Сизифа и ничего другого не нашел
Попробуйте http://www.opennet.ru/opennews/art.shtml?num=10762
Comment 8 Michael Shigorin 2008-06-24 13:26:39 MSD
(In reply to comment #5)
> В двадцатых числах апреля
Мож июня? :)

Куда-то ты запропастился -- вылазь на фест :)
Comment 9 Michael Shigorin 2009-12-25 12:46:08 MSK
apparently wontfix